# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Dec 14 16:56:22 2022
# ------------------------------------------------

package:
  name: libhwloc
  version: 2.9.0
source:
  sha256: 9d7d3450e0a5fea4cb80ca07dc8db939abb7ab62e2a7bb27f9376447658738ec
  url: https://www.open-mpi.org/software/hwloc/v2.9/downloads/hwloc-2.9.0.tar.gz
build:
  number: '0'
  run_exports:
    - libhwloc >=2.9.0,<2.9.1.0a0
  string: hd6dc26d_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - autoconf 2.69 pl5321hd708f79_11
    - automake 1.16.5 pl5321ha770c72_0
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_11
    - gcc_impl_linux-64 11.3.0 hab1b70f_19
    - gcc_linux-64 11.3.0 he6f903b_11
    - gxx_impl_linux-64 11.3.0 hab1b70f_19
    - gxx_linux-64 11.3.0 hc203a17_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 11.3.0 h210ce93_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsanitizer 11.3.0 h239ccf8_19
    - libstdcxx-devel_linux-64 11.3.0 h210ce93_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libtool 2.4.6 h9c3ff4c_1008
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - perl 5.32.1 2_h7f98852_perl5
    - pkg-config 0.29.2 h36c2ea0_1008
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - icu 70.1 h27087fc_0
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libiconv 1.17 h166bdaf_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libxml2 2.10.3 h7463322_0
    - libzlib 1.2.13 h166bdaf_4
    - xz 5.2.6 h166bdaf_0
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libxml2 >=2.10.3,<2.11.0a0
test:
  commands:
    - hwloc-ls
    - test -f ${PREFIX}/lib/libhwloc${SHLIB_EXT}
about:
  home: https://www.open-mpi.org/projects/hwloc/
  license: BSD-3-Clause
  license_file: COPYING
  summary: Portable Hardware Locality (hwloc)
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - inducer
    - isuruf
